Skip to main content

Delete an App Attestation for a dispatch target

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets/:dispatchTargetExtId/app-attestation

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialDelete orAccessControl.DispatchTargetDelete), (AccessControl.CredentialView orAccessControl.DispatchTargetView) or SelfAdmin Role

Deletes the App Attestation associated with the specified dispatch target. This operation removes the app attestation from the dispatch target, which may impact the security checks performed during authentication if the app attestation was being used for that purpose.

This endpoint supports self-admin access. When accessed by the user themselves, a valid JWT token must be provided in the X-Token header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    dispatchTargetExtId stringrequired

    External ID of the dispatch target.

    Example: dt-123

Responses

App Attestation deleted successfully

Loading...